eCos Reference Manual
Prev |  | Next

# ip_address

## Name

ip_address -- Set IP addresses

## Synopsis

ip_address [-l `local_IP_address`] [-h `server_IP_address`] [-d `DNS_server_IP_address`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-l `local_IP_address` | Numeric IP or DNS name | The IP address RedBoot should use. | none
-h `server_IP_address` | Numeric IP or DNS name | The IP address of the default server. Use of this address is implied by other commands, such as load. | none
-d `DNS_server_IP_address` | Numeric IP or DNS name | The IP address of the DNS server. | none

## Description

The ip_address command is used to show and/or change the basic IP addresses used by RedBoot. IP addresses may be given as numeric values, e.g. 192.168.1.67, or as symbolic names such as www.redhat.com if DNS support is enabled.

The `-l` option is used to set the IP address used by the target device.

The `-h` option is used to set the default server address, such as is used by the load command.

The `-d` option is used to set the default DNS server address which is used for resolving symbolic network addresses. Note that an address of 0.0.0.0 will disable DNS lookups.

## Examples

Display the current network settings.

    RedBoot> ip_address
    IP: 192.168.1.31, Default server: 192.168.1.101, DNS server IP: 0.0.0.0

Change the DNS server address.

    RedBoot> ip_address -d 192.168.1.101
    IP: 192.168.1.31, Default server: 192.168.1.101, DNS server IP: 192.168.1.101

Change the default server address.

    RedBoot> ip_address -h 192.168.1.104
    IP: 192.168.1.31, Default server: 192.168.1.104, DNS server IP: 192.168.1.101

Prev | Home | Next
help | Up | load